Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa.model.common
Class ChangeLogEntity

    java.lang.Object
      org.modeshape.connector.store.jpa.model.common.ChangeLogEntity

Deprecated. This is no longer used.

    @Deprecated
    @Entity
    public class ChangeLogEntity

extends Object

Represents a record of the changes that have been made to the repository. The actual change events are serialized and stored in a binary (and compressed) format.

Constructor Summary
`ChangeLogEntity(String username, DateTime timestamp, int numChanges, byte[] changes)` Deprecated.

Method Summary
`boolean` | `equals(Object obj)` Deprecated.
`byte[]` | `getChanges()` Deprecated.
`Long` | `getId()` Deprecated.
`int` | `getNumChanges()` Deprecated.
`long` | `getTimestampInUtc()` Deprecated.
`String` | `getUsername()` Deprecated.
`int` | `hashCode()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChangeLogEntity

    public ChangeLogEntity(String username,
                           DateTime timestamp,
                           int numChanges,
                           byte[] changes)

  Deprecated.

Method Detail

### getId

    public Long getId()

  Deprecated.
  Returns:
    id

### getUsername

    public String getUsername()

  Deprecated.
  Returns:
    username

### getTimestampInUtc

    public long getTimestampInUtc()

  Deprecated.
  Returns:
    timestampInUtc

### getChanges

    public byte[] getChanges()

  Deprecated.
  Returns:
    changes

### getNumChanges

    public int getNumChanges()

  Deprecated.
  Returns:
    numChanges

### hashCode

    public int hashCode()

  Deprecated.

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Deprecated.

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Deprecated.

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.